Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.hibernate.util
Class ExternalSessionFactoryConfig

    java.lang.Object
      org.hibernate.util.ExternalSessionFactoryConfig

Direct Known Subclasses:
  HibernateService

    public abstract class ExternalSessionFactoryConfig

extends Object

Defines support for various externally configurable SessionFactory(s), for example, `JMX` or the JCA adapter.

Author:
  Steve Ebersole

Constructor Summary
`ExternalSessionFactoryConfig()`

Method Summary
`void` | `addAdditionalProperty(String name, String value)`
`protected void` | `addAll(Properties target, Map source)`
`void` | `addMapResource(String mapResource)`
`protected Configuration` | `buildConfiguration()`
`protected Properties` | `buildProperties()`
`String` | `getBatchVersionedDataEnabled()`
`String` | `getCacheProviderClass()`
`String` | `getCacheProviderConfig()`
`String` | `getCacheRegionPrefix()`
`String` | `getCommentsEnabled()`
`Map` | `getCustomListeners()`
`String` | `getDefaultCatalog()`
`String` | `getDefaultSchema()`
`String` | `getDialect()`
`protected Set` | `getExcludedPropertyNames()`
`protected Map` | `getExtraProperties()`
`String` | `getGetGeneratedKeysEnabled()`
`String` | `getJdbcBatchSize()`
`String` | `getJdbcFetchSize()`
`String` | `getJdbcScrollableResultSetEnabled()`
`String` | `getMapResources()`
`String` | `getMaximumFetchDepth()`
`String` | `getMinimalPutsEnabled()`
`String` | `getQueryCacheEnabled()`
`String` | `getQuerySubstitutions()`
`String` | `getReflectionOptimizationEnabled()`
`String` | `getSecondLevelCacheEnabled()`
`String` | `getShowSqlEnabled()`
`String` | `getStreamsForBinaryEnabled()`
`void` | `setBatchVersionedDataEnabled(String batchVersionedDataEnabled)`
`void` | `setCacheProviderClass(String cacheProviderClass)`
`void` | `setCacheProviderConfig(String cacheProviderConfig)`
`void` | `setCacheRegionPrefix(String cacheRegionPrefix)`
`void` | `setCommentsEnabled(String commentsEnabled)`
`void` | `setCustomListener(String type, String listenerClass)`
`void` | `setCustomListeners(Map customListeners)`
`void` | `setCustomListenersAsString(String customListenersString)`
`void` | `setDefaultCatalog(String defaultCatalog)`
`void` | `setDefaultSchema(String defaultSchema)`
`void` | `setDialect(String dialect)`
`void` | `setGetGeneratedKeysEnabled(String getGeneratedKeysEnabled)`
`void` | `setJdbcBatchSize(String jdbcBatchSize)`
`void` | `setJdbcFetchSize(String jdbcFetchSize)`
`void` | `setJdbcScrollableResultSetEnabled(String jdbcScrollableResultSetEnabled)`
`void` | `setMapResources(String mapResources)`
`void` | `setMaximumFetchDepth(String maximumFetchDepth)`
`void` | `setMinimalPutsEnabled(String minimalPutsEnabled)`
`void` | `setQueryCacheEnabled(String queryCacheEnabled)`
`void` | `setQuerySubstitutions(String querySubstitutions)`
`void` | `setReflectionOptimizationEnabled(String reflectionOptimizationEnabled)`
`void` | `setSecondLevelCacheEnabled(String secondLevelCacheEnabled)`
`void` | `setShowSqlEnabled(String showSqlEnabled)`
`void` | `setStreamsForBinaryEnabled(String streamsForBinaryEnabled)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ExternalSessionFactoryConfig

    public ExternalSessionFactoryConfig()

Method Detail

### getExcludedPropertyNames

    protected Set getExcludedPropertyNames()

### getMapResources

    public final String getMapResources()

### setMapResources

    public final void setMapResources(String mapResources)

### addMapResource

    public void addMapResource(String mapResource)

### getDialect

    public final String getDialect()

### setDialect

    public final void setDialect(String dialect)

### getDefaultSchema

    public final String getDefaultSchema()

### setDefaultSchema

    public final void setDefaultSchema(String defaultSchema)

### getDefaultCatalog

    public final String getDefaultCatalog()

### setDefaultCatalog

    public final void setDefaultCatalog(String defaultCatalog)

### getMaximumFetchDepth

    public final String getMaximumFetchDepth()

### setMaximumFetchDepth

    public final void setMaximumFetchDepth(String maximumFetchDepth)

### getJdbcFetchSize

    public final String getJdbcFetchSize()

### setJdbcFetchSize

    public final void setJdbcFetchSize(String jdbcFetchSize)

### getJdbcBatchSize

    public final String getJdbcBatchSize()

### setJdbcBatchSize

    public final void setJdbcBatchSize(String jdbcBatchSize)

### getBatchVersionedDataEnabled

    public final String getBatchVersionedDataEnabled()

### setBatchVersionedDataEnabled

    public final void setBatchVersionedDataEnabled(String batchVersionedDataEnabled)

### getJdbcScrollableResultSetEnabled

    public final String getJdbcScrollableResultSetEnabled()

### setJdbcScrollableResultSetEnabled

    public final void setJdbcScrollableResultSetEnabled(String jdbcScrollableResultSetEnabled)

### getGetGeneratedKeysEnabled

    public final String getGetGeneratedKeysEnabled()

### setGetGeneratedKeysEnabled

    public final void setGetGeneratedKeysEnabled(String getGeneratedKeysEnabled)

### getStreamsForBinaryEnabled

    public final String getStreamsForBinaryEnabled()

### setStreamsForBinaryEnabled

    public final void setStreamsForBinaryEnabled(String streamsForBinaryEnabled)

### getReflectionOptimizationEnabled

    public final String getReflectionOptimizationEnabled()

### setReflectionOptimizationEnabled

    public final void setReflectionOptimizationEnabled(String reflectionOptimizationEnabled)

### getQuerySubstitutions

    public final String getQuerySubstitutions()

### setQuerySubstitutions

    public final void setQuerySubstitutions(String querySubstitutions)

### getShowSqlEnabled

    public final String getShowSqlEnabled()

### setShowSqlEnabled

    public final void setShowSqlEnabled(String showSqlEnabled)

### getCommentsEnabled

    public final String getCommentsEnabled()

### setCommentsEnabled

    public final void setCommentsEnabled(String commentsEnabled)

### getSecondLevelCacheEnabled

    public final String getSecondLevelCacheEnabled()

### setSecondLevelCacheEnabled

    public final void setSecondLevelCacheEnabled(String secondLevelCacheEnabled)

### getCacheProviderClass

    public final String getCacheProviderClass()

### setCacheProviderClass

    public final void setCacheProviderClass(String cacheProviderClass)

### getCacheProviderConfig

    public String getCacheProviderConfig()

### setCacheProviderConfig

    public void setCacheProviderConfig(String cacheProviderConfig)

### getCacheRegionPrefix

    public final String getCacheRegionPrefix()

### setCacheRegionPrefix

    public final void setCacheRegionPrefix(String cacheRegionPrefix)

### getMinimalPutsEnabled

    public final String getMinimalPutsEnabled()

### setMinimalPutsEnabled

    public final void setMinimalPutsEnabled(String minimalPutsEnabled)

### getQueryCacheEnabled

    public final String getQueryCacheEnabled()

### setQueryCacheEnabled

    public final void setQueryCacheEnabled(String queryCacheEnabled)

### getCustomListeners

    public final Map getCustomListeners()

### setCustomListeners

    public void setCustomListeners(Map customListeners)

### setCustomListenersAsString

    public void setCustomListenersAsString(String customListenersString)

### setCustomListener

    public void setCustomListener(String type,
                                  String listenerClass)

### addAdditionalProperty

    public final void addAdditionalProperty(String name,
                                            String value)

### buildConfiguration

    protected final Configuration buildConfiguration()

### buildProperties

    protected final Properties buildProperties()

### addAll

    protected void addAll(Properties target,
                          Map source)

### getExtraProperties

    protected Map getExtraProperties()

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD